[pulseaudio-discuss] [PATCH] tests: Indicate failure in test-daemon.sh by returning 1 if any test fails.
Tanu Kaskinen
tanuk at iki.fi
Tue Jan 29 00:56:22 PST 2013
---
src/tests/test-daemon.sh | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/src/tests/test-daemon.sh b/src/tests/test-daemon.sh
index 264e169..c1907a1 100755
--- a/src/tests/test-daemon.sh
+++ b/src/tests/test-daemon.sh
@@ -52,8 +52,10 @@ sleep 5
unset DISPLAY
+EXIT_CODE=0
+
for ONE_TEST in $@; do
- ${ONE_TEST}
+ ${ONE_TEST} || EXIT_CODE=1
done
# terminate the designated pulseaudio daemon
@@ -68,4 +70,4 @@ sleep 2
## be sure it really died
kill -9 $DBUS_SESSION_BUS_PID > /dev/null 2>&1 || true
-exit 0
+exit $EXIT_CODE
--
1.7.10.4
More information about the pulseaudio-discuss
mailing list